# LoggingInterceptor | CICADA
Documentation for CICADA

Intercepts and handles of events from outgoing HTTP request.

### Hierarchy

- LoggingInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- intercept

## Constructors

### constructor

- new LoggingInterceptor(loggingService: LoggingService ): LoggingInterceptor

- - Defined in src/app/_interceptors/logging.interceptor.ts:20

  Initialization of the logging interceptor.

  #### Parameters

  - ##### loggingService: LoggingService

    A service that provides logging capabilities.

  #### Returns LoggingInterceptor

## Methods

### intercept

- intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>

- Implementation of HttpInterceptor.intercept

  - Defined in src/app/_interceptors/logging.interceptor.ts:35

  Intercepts HTTP requests.

  #### Parameters

  - ##### request: HttpRequest<unknown>

    An outgoing HTTP request with an optional typed body.

  - ##### next: HttpHandler

    The next HTTP handler or the outgoing request dispatcher.

  #### Returns Observable<HttpEvent<unknown>>

  The forwarded request.

Generated using TypeDoc